Bug 1124018 - ovirt-ha-agent and ovirt-ha-broker init scripts still wrong
Summary: ovirt-ha-agent and ovirt-ha-broker init scripts still wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-ha
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Greg Padgett
QA Contact: meital avital
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 20:10 UTC by Chris Adams
Modified: 2016-06-12 23:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:28:43 UTC
oVirt Team: SLA


Attachments (Terms of Use)

Description Chris Adams 2014-07-28 20:10:22 UTC
The fix for the ovirt-ha-* init scripts is half right.  The rh_status() function in each now has "RETVAL=$?" added, but they each also need a "return $RETVAL" after that line.  Otherwise, the scripts won't actually start the services.

Comment 1 Greg Padgett 2014-07-31 14:31:15 UTC
Chris, thanks for the bug report.  I found/fixed the same thing as part of bug 1123285 (didn't see your bug until just now).  Moving to modified.

(Note for testing: this change will show up on the installed system in /lib/systemd/systemd-ovirt-ha-broker (and -agent).  Functionally, it allows the service to stop and start properly using the systemctl and/or service commands.)

Comment 2 Sandro Bonazzola 2014-10-17 12:28:43 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.